Docs
Search docs...⌘K

Anchors

API + MCP
GET/v3/site-explorer/anchors

Query parameters

timeoutinteger

A manual timeout duration in seconds.

limitinteger

The number of results to return.

Default:1000
order_bystring

A comma-separated list of columns to order results by, with optional direction. See response schema for valid column identifiers.

Example:field_a,field_b:asc,field_c:desc
wherestring

The filter expression. The following column identifiers are recognized (this differs from the identifiers recognized by the select parameter).

anchor: The clickable words in a link that point to a URL.
type: string

discovered_status: The reason the link was discovered during the last crawl: the page was crawled for the first time, the link was added to the page, or the link re-appeared after being removed.
type: string nullable
enum: "pagefound" "linkfound" "linkrestored"

dofollow_links: The number of links with a given anchor to your target that don’t have the “nofollow” attribute.
type: integer

domain_rating: The strength of a domain's backlink profile compared to the others in our database on a 100-point scale.
type: float

drop_reason: The reason we removed the link from our index.
type: string nullable
enum: "manual" "noratingunused" "notop" "tooold" "oldunavailable" "rescursive" "duplicate" "nxdomain" "malformed" "blockedport" "disallowed" "unlinked"

first_seen: The date we first found a link with a given anchor to your target.
type: datetime

is_content: The link was found in the biggest piece of content on the page.
type: boolean

is_dofollow: The link has no special nofollow attribute.
type: boolean

is_homepage_link: The link was found on the homepage of a referring website.
type: boolean

is_nofollow: The link or the referring page has the nofollow attribute set.
type: boolean

is_non_html: The link points to a URL with non-HTML content.
type: boolean

is_root_domain: The domain name is a root domain name.
type: boolean

is_spam: Indicates whether the backlink comes from a known spammy domain.
type: boolean

is_sponsored: The link has the Sponsored attribute set in the referring page HTML.
type: boolean

is_ugc: The link has the User Generated Content attribute set in the referring page HTML.
type: boolean

languages: The languages listed in the referring page metadata or detected by the crawler to appear in the HTML.
type: array(string)

last_seen: The date we discovered the last backlink with a given anchor was lost.
type: datetime nullable

len_url_redirect: The number of redirect chain URLs.
type: integer

link_type: The kind of the backlink.
type: string
enum: "redirect" "frame" "text" "form" "canonical" "alternate" "rss" "image"

linked_domains: The number of unique root domains linked from the referring page.
type: integer

links_external: The number of external links from the referring page.
type: integer

links_to_target: The number of inbound backlinks your target has with a given anchor.
type: integer

lost_links: The number of backlinks with a given anchor lost during the selected time period.
type: integer

lost_reason: The reason the link was lost during the last crawl.
type: string nullable
enum: "removedfromhtml" "notcanonical" "noindex" "pageredirected" "pageerror" "lostredirect" "notfound"

new_links: The number of new backlinks with a given anchor found during the selected time period.
type: integer

noindex: The referring page has the noindex meta attribute.
type: boolean

positions: The number of keywords that the referring page ranks for in the top 100 positions.
type: integer

positions_source_domain: The number of keywords that the referring domain ranks for in the top 100 positions.
type: integer

powered_by: Web technologies used to build and serve the referring page content.
type: array(string)

refdomains (5 units): The number of unique domains linking to your target with a given anchor.
type: integer

refdomains_source (5 units): The number of unique referring domains linking to the referring page.
type: integer

refpages: The number of pages containing a link with a given anchor to your target.
type: integer

root_domain_name: The root domain name of the referring domain, not including subdomains.
type: string

snippet_left: The snippet of text appearing just before the link.
type: string

snippet_right: The snippet of text appearing just after the link.
type: string

source_page_author: The author of the referring page.
type: string nullable

title: The html title of the referring page.
type: string

top_domain_rating: The highest Domain Rating (DR) counted out of all referring domains. DR shows the strength of a website’s backlink profile compared to the others in our database on a 100-point scale.
type: float

traffic_domain (10 units): The referring domain's estimated monthly organic traffic from search.
type: integer

traffic_page (10 units): The referring page's estimated monthly organic traffic from search.
type: integer

url_from: The URL of the page containing a link to your target.
type: string

url_redirect: A redirect chain the target URL of the link points to.
type: array(url)

url_redirect_with_target: The target URL of the link with its redirect chain.
type: array(string)

url_to: The URL the backlink points to.
type: string

selectstringRequired

A comma-separated list of columns to return. See response schema for valid column identifiers.

protocolstring

The protocol of your target.

Allowed values:bothhttphttps
Default:both
targetstringRequired

The target of the search: a domain or a URL.

modestring

The scope of the search based on the target you entered.

Allowed values:exactprefixdomainsubdomains
Default:subdomains
historystring

A time frame to add lost backlinks to the report. Choose between live (no history), since:<date> (history since a specified date), and all_time (full history). The date should be in YYYY-MM-DD format.

Default:all_time
outputstring

The output format.

Allowed values:jsoncsvxmlphp

Responses

anchorsarray<object>
anchorstring

The clickable words in a link that point to a URL.

dofollow_linksinteger

The number of links with a given anchor to your target that don’t have the “nofollow” attribute.

first_seenstring

The date we first found a link with a given anchor to your target.

is_spamboolean

Indicates whether the backlink comes from a known spammy domain.

last_seenstring or null

The date we discovered the last backlink with a given anchor was lost.

links_to_targetinteger

The number of inbound backlinks your target has with a given anchor.

lost_linksinteger

The number of backlinks with a given anchor lost during the selected time period.

new_linksinteger

The number of new backlinks with a given anchor found during the selected time period.

refdomainsinteger

(5 units) The number of unique domains linking to your target with a given anchor.

refpagesinteger

The number of pages containing a link with a given anchor to your target.

top_domain_ratingnumber

The highest Domain Rating (DR) counted out of all referring domains. DR shows the strength of a website’s backlink profile compared to the others in our database on a 100-point scale.